# class Int16Array

#### package js.html

#### extends ArrayBufferView

Available on HTML5

### Constructor

###

`new (buffer:ArrayBuffer, ?byteOffset:Int, ?length:Int)`

`new (length:Int)`

`new (array:Int16Array)`

`new (array:Array<Int>)`

Throws:

`null` | DOMError

### Variables

###

`read onlylength:Int`

### Methods

###

`set (array:Array<Int>, ?offset:Int):Void`

`set (array:Int16Array, ?offset:Int):Void`

###

`subarray (start:Int, ?end:Int):Int16Array`

### Static variables

###

`staticinline read onlyBYTES_PER_ELEMENT:Int = 2`

### Inherited Variables

#### Defined by ArrayBufferView

###

`read onlybuffer:ArrayBuffer`

###

`read onlybyteLength:Int`

###

`read onlybyteOffset:Int`

### Inherited Methods